Subject: Missing proto for wcslen in installed headers + automaking dll's corrected.
From: [email-masked] ("Mikey")

23 May 1997 13:23:57 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed;
	boundary="----=_NextPart_000_01BC650C.C20A5040"
X-Mailer: Microsoft Outlook Express 4.71.0544.0
Original-To: "cygnus gnu-win32 mailing list" <[email-masked]>
X-Priority: 3
X-MSMail-Priority: Normal
X-MimeOLE: Produced By Microsoft MimeOLE Engine V4.71.0544.0
Original-Sender: [email-masked]

This is a multi-part message in MIME format.

------=_NextPart_000_01BC650C.C20A5040
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit

Title pretty much says it all.
I did find a reference in .../include/g++/std/straits.h
and it is in cygwin.din, and misc.cc did I miss something?
diff file for .../H-i386-cygwin32/i386-cygwin32/include/string.h
and .../cdk/newlib/libc/include/string.h
attached
if anyone needs it.

also the advice I put in fixup.c was incorrect, I hadn't actuall make the change yet,
fixup.o can't be used as an endfile
it must go on the *startfile line. in the specs file. see attached.

([email-masked])
       the return address for this message is anti spammed
       remove * from the above address to reply.
       Mikey

------=_NextPart_000_01BC650C.C20A5040
Content-Type: application/octet-stream;
	name="string.h.dif"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename="string.h.dif"

--- string.h	1997/05/20 16:54:41	1.1
+++ string.h	1997/05/20 17:05:51
@@ -62,6 +62,7 @@
 char 	*_EXFUN(strdup,(const char *));
 int	 _EXFUN(strncasecmp,(const char *, const char *, size_t));
 char 	*_EXFUN(strsep,(char **, const char *));
+int	_EXFUN(wcslen,(const wchar_t *));
 #endif /* ! _STRICT_ANSI */
 
 #ifdef __cplusplus

------=_NextPart_000_01BC650C.C20A5040
Content-Type: application/octet-stream;
	name="fixup.c"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename="fixup.c"

#ifdef  __CYGWIN32__
        /*
         * This section terminates the list of dll imports under cygwin32.
	 * do !!!NOT!!! use this generated .o file with mingw32, it is already
	 * included in the startup files.
	 * main is included to make it possible to link your dll with
	 * -lcygwin, which as far as I can tell you MUST do if your .exe
	 * links with it.
	 * you could also include this under *startfile: in cygwin32 specs, as
*startfile:
crt0%O%s %{dll:/usr/w/lib/fixup.o}
	 * do NOT insert or delete any lines.
         * If you do not include this then you will have problems
         * when linking with DLLs.
         */
int main(){ return 0; } 
asm (".section .idata$3\n" ".long 0,0,0,0,0,0,0,0");
#endif

------=_NextPart_000_01BC650C.C20A5040
Content-Type: application/octet-stream;
	name="specsB18.dif"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename="specsB18.dif"

--- specs	1997/04/14 18:05:51	1.1
+++ specs	1997/05/20 17:32:11
@@ -17,7 +17,7 @@

 *link:
-
+%{mwindows:--subsystem windows} %{dll:--dll -e _DllMain@12}
 
 *lib:
 -lcygwin %{mwindows:-luser32 -lgdi32 -lcomdlg32} -lkernel32
@@ -26,7 +26,7 @@
 -lgcc
 
 *startfile:
-crt0%O%s
+crt0%O%s %{dll:/usr/local/lib/fixup.o}
 
 *switches_need_spaces:

------=_NextPart_000_01BC650C.C20A5040--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".